Core - Bug # 64661

Bug # 40005 (Resolved): Several unit tests fail under Windows system

Status: Resolved Priority: Should have
Author: Nicole Cordes Category: FormEngine aka TCEforms
Created: 2015-01-30 Assigned To: Nicole Cordes
Updated: 2015-01-30 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus: On Location Sprint

Subject: DateValidator fails to validate incorrect dates

Description

If the function strptime is not included in PHP (mostly only on Windows systems) the DateValidator fails to detect invalid dates.

Associated revisions

Revision 091658d3 - 2015-01-30 20:02 - Nicole Cordes

[BUGFIX] DateValidator fails to validate incorrect dates

If the function "strptime" is not present in the environment (mostly on
Windows systems) the fallback to check a given date in the dateValidator
fails to detect invalid dates. The conversion from the given string to

a date object respects invalid dates and just converts them to valid

ones (by moving in next month/year). Therefore the function returns an
object instead of false. This patch adds a value comparison between old
and new value to be sure still the same date string is returned.

Releases: master, 6.2

Resolves: #64661

Change-Id: 1739d309278143bb5fc24c48ca7bb884a1e25a442
Reviewed-on: http:/review.typo3.0rg/36467

Reviewed-by: Oliver Klee <typo3-coding@oliverklee.de>

Tested-by: Oliver Klee <typo3-coding@oliverklee.de>

Reviewed-by: Steffen Miiller <typo3@t3node.com>
Tested-by: Steffen Miller <typo3@t3node.com>

Revision 9afe7460 - 2015-01-30 20:22 - Nicole Cordes

[BUGFIX] DateValidator fails to validate incorrect dates

If the function "strptime" is not present in the environment (mostly on
Windows systems) the fallback to check a given date in the dateValidator
fails to detect invalid dates. The conversion from the given string to

a date object respects invalid dates and just converts them to valid

ones (by moving in next month/year). Therefore the function returns an
object instead of false. This patch adds a value comparison between old
and new value to be sure still the same date string is returned.
Releases: master, 6.2

Resolves: #64661

Change-Id: 1739d309278143bb5fc24c48ca7bb884a1e25a442
Reviewed-on: http://review.typo3.0rg/36469

Reviewed-by: Oliver Klee <typo3-coding@oliverklee.de>

Reviewed-by: Steffen Miiller <typo3@t3node.com>
Tested-by: Steffen Miller <typo3@t3node.com>

History

#1 - 2015-01-30 19:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/36467

#2 - 2015-01-30 19:45 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36467

#3 - 2015-01-30 20:03 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/36469

#4 - 2015-01-30 20:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:091658d36c025bb48012c1b53d1a5¢824819517b.

2015-08-04

22


http://review.typo3.org/36469
mailto:typo3-coding@oliverklee.de
mailto:typo3@t3node.com
mailto:typo3@t3node.com
http://review.typo3.org/36467
http://review.typo3.org/36467
http://review.typo3.org/36469

